## kaa-imlib2 0.2.3+svn4596

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d .build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf .build/* html/*

html: clean
	mkdir -p html .build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) html
	@echo
	@echo "Build finished. The HTML pages are in doc/html."

pickle:
	mkdir -p .build/pickle .build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) .build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web .build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p .build/htmlhelp .build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) .build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in .build/htmlhelp."

latex:
	mkdir -p .build/latex .build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) .build/latex
	@echo
	@echo "Build finished; the LaTeX files are in .build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p .build/changes .build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) .build/changes
	@echo
	@echo "The overview file is in .build/changes."

linkcheck:
	mkdir -p .build/linkcheck .build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) .build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in .build/linkcheck/output.txt."

## kaa-imlib2 0.2.3

=== debian/changelog ===
kaa-imlib2 (0.2.3-4build1) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:02:00 +0000

kaa-imlib2 (0.2.3-4) unstable; urgency=low

  * Add "Build-Conflicts: python-kaa-base (< 0.6.0-3)"
    to avoid binmu (!)

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 13 Mar 2010 16:18:08 +0100

kaa-imlib2 (0.2.3-3) unstable; urgency=low

  * Add myself to uploaders
  * Bump standard to 3.8.4, no change
  * Add misc:depends 
  * Switch to dpkg-source 3.0 (quilt) format
  * Add "Build-Conflicts: python-kaa-base (= 0.6.0-2)", so,
    due to the corrections in kaa-base, this 
    package should compile on all arches, closes: #559633.

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 13 Mar 2010 10:51:58 +0100

kaa-imlib2 (0.2.3-2) unstable; urgency=low

  * kaa.base needs python 2.5, and so does kaa-imlib2;
    fix FTBFS, thanks to Lucas Nussbaum
    (Closes: #552956).

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 06 Nov 2009 23:58:42 +0100

kaa-imlib2 (0.2.3-1) unstable; urgency=low

  * New upstream release.

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Sat, 15 Mar 2008 20:12:28 +0100

kaa-imlib2 (0.2.2-1) unstable; urgency=low

  * New upstream release.

  [Jeremie Corbier]
  * Set Maintainer to pkg-freevo-maint.
  * Update XS-Vcs-* fields: kaa-imlib2 is comaintained in the pkg-freevo SVN
    repository.
  * Use the Homepage field/
  * Vcs-* fields are official now.
  * Bump up Standards-Version: no changes needed.

  [Georg W. Leonhardt]
  * Add myself as uploader

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Fri, 04 Jan 2008 00:04:03 +0100

kaa-imlib2 (0.2.1-1) unstable; urgency=low

  * Initial release (Closes: #426590).

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Tue, 29 May 2007 12:48:02 -0700

=== debian/control ===
Source: kaa-imlib2
Section: python
Priority: optional
Maintainer: Freevo Debian Dream Team <pkg-freevo-maint@lists.alioth.debian.org>
Uploaders: Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>, Georg W. Leonhardt <repo@geole.info>, A Mennucc1 <mennucc1@debian.org>
Build-Depends: cdbs (>= 0.4.42), debhelper (>= 5.0.37.2), python-all-dev (>= 2.3.5-11), python-central (>= 0.5), python-kaa-base, libimlib2-dev (>= 1.2.1)
XS-Python-Version: >= 2.5
Build-Conflicts: python-kaa-base (<< 0.6.0-3)
Vcs-Svn: svn://svn.debian.org/svn/pkg-freevo/kaa-imlib2/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-freevo/kaa-imlib2/
Standards-Version: 3.8.4
Homepage: http://freevo.org/kaa

Package: python-kaa-imlib2
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-kaa-base
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Description: Imlib2 Wrapper for Python
 Kaa Imlib2 provides a Python wrapper for the Imlib2 graphics library.
 .
 The Kaa Media Repository is a set of Python modules related to media.

## kaa-imlib2 0.2.3%2Bsvn4596

=== debian/changelog ===
kaa-imlib2 (0.2.3+svn4596-2) unstable; urgency=medium

  * do not use PATH_MAX since hurd does not have it

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 06 Jan 2012 20:41:58 +0100

kaa-imlib2 (0.2.3+svn4596-1) unstable; urgency=low

  * upgrade to svn 4596
  * Bug fix: "deprecation of dh_pycentral, please use dh_python2", thanks
    to Matthias Klose (Closes: #616852).
  * bump build-dependency on kaa-metadata and cdbs
  * bump standards version
  * correct copyright
  * correct changelog
  
 -- A Mennucc1 <mennucc1@debian.org>  Mon, 24 Oct 2011 16:04:14 +0200

kaa-imlib2 (0.2.3+svn4046-2) UNRELEASED; urgency=low

  * Add myself to uploaders
  * Bump standard to 3.8.4, no change
  * Add misc:depends 
  * Switch to dpkg-source 3.0 (quilt) format
  * other fixes (see tags tree in SVN):
    (tags/0.2.3-3) Due to the corrections in kaa-base, this 
      package should compile on all arches, closes: #559633.
    (tags/0.2.3-2) kaa.base needs python 2.5, and so does kaa-imlib2;
      fix FTBFS, thanks to Lucas Nussbaum (Closes: #552956).

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 13 Mar 2010 11:34:59 +0100

kaa-imlib2 (0.2.3+svn4046-1) experimental; urgency=low

  * New SVN version.
  * This version needs Python >= 2.5

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 23 May 2009 18:27:33 +0200

kaa-imlib2 (0.2.3-2) UNRELEASED; urgency=low

  * Bump up Standards-Version to 3.8.0: no changes needed.

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Wed, 11 Jun 2008 14:56:16 +0200

=== debian/control ===
Source: kaa-imlib2
Section: python
Priority: optional
Maintainer: Freevo Debian Dream Team <pkg-freevo-maint@lists.alioth.debian.org>
Uploaders: Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>, Georg W. Leonhardt <repo@geole.info>, A Mennucc1 <mennucc1@debian.org>
Build-Depends: cdbs (>= 0.4.90), debhelper (>= 5.0.37.2), python-all-dev (>= 2.6.6-3), python-kaa-base (>= 0.6.0+4596), libimlib2-dev (>= 1.2.1)
X-Python-Version: >= 2.6
Vcs-Svn: svn://svn.debian.org/svn/pkg-freevo/kaa-imlib2/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-freevo/kaa-imlib2/
Standards-Version: 3.9.2
Homepage: http://freevo.org/kaa

Package: python-kaa-imlib2
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-kaa-base
Provides: ${python:Provides}
Description: Imlib2 Wrapper for Python
 Kaa Imlib2 provides a Python wrapper for the Imlib2 graphics library.
 .
 The Kaa Media Repository is a set of Python modules related to media.

## kaa-imlib2 0.2.3+svn4596

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_INSTALL_DOCS_ALL =

install/python-kaa-imlib2::
	: # Replace all '#!' calls to python with /usr/bin/python
	: # and make them executable
	for i in `find debian/python-kaa-imlib2 -type f`; do \
	  sed '1s,#!.*python[^ ]*\(.*\),#! /usr/bin/python\1,' \
		$$i > $$i.temp; \
	  if cmp --quiet $$i $$i.temp; then \
	    rm -f $$i.temp; \
	  else \
	    mv -f $$i.temp $$i; \
	    chmod 755 $$i; \
	    echo "fixed interpreter: $$i"; \
	  fi; \
	done

clean::
	rm -f src/version.pyc

=== debian/watch ===
version=3

http://qa.debian.org/watch/sf.php/freevo kaa-imlib2-((?:\d\.)+\d)\.tar\.gz
